from parallels.core.utils.message_utils import single_line_message

UNABLE_TO_GET_DUMP_WITH_SPECIFIED_SUBSCRIPTION = single_line_message("""
	Unable to retrieve Plesk configuration dump containing subscription "%s" % subscription_name
""")
UNABLE_TO_GET_DUMP_PATH = single_line_message("""
	Unable to retrieve path to Plesk configuration dump "%s"
""")
FAILED_TO_FIND_ADDON_IN_DUMP = single_line_message("""
	Failed to find addon domain '%s' in hosting description file
""")
FAILED_TO_FIND_SUBSCRIPTION_IN_DUMP = single_line_message("""
	Failed to find subscription '%s' in hosting description file
""")
FAILED_TO_FIND_SUBDOMAIN_IN_DUMP = single_line_message("""
	Failed to find subdomain '%s' in hosting description file
""")
REMOVING_EXISTING_DUMP_FILE = single_line_message("""
	Removing the existing Plesk configuration dump file.
""")
INVALID_FILE_FORMAT = single_line_message("""
	Invalid file file format specified for hosting description file '%s'
""")
ACTION_COPY_MAIL_MESSAGES_FAILURE = single_line_message("""
	Failed to copy mail messages of subscription
""")
ACTION_RESTORE_DATABASES_FROM_DUMPS_DESCRIPTION = single_line_message("""
	Restore databases from dump files
""")
ACTION_RESTORE_DATABASES_FROM_DUMPS_FAILURE = single_line_message("""
	Failed to restore databases of subscription from dump files
""")
ACTION_CREATE_DUMP_FAILURE = single_line_message("""
	Failed to create Plesk configuration dump out of hosting description file
""")
ACTION_CREATE_DUMP_DESCRIPTION = single_line_message("""
	Create Plesk configuration dump out of hosting description file
""")
LOG_CREATE_DUMP = single_line_message("""
	Create Plesk configuration dump for '%s'
""")
LOG_RESTORE_DB_DUMP = single_line_message("""
	Restore database dump for {db_type} database '{db_name}' from '{dump}'
""")
DB_WILL_NOT_BE_RESTORED_NO_DB_SERVER = single_line_message("""
	Database '{db_name}' of {db_type} will not be restored from dump
	as no {db_type} DB server is assigned to subscription
""")
ACTION_COPY_MAIL_MESSAGES = single_line_message("""
	Copy mail messages
""")
INVALID_FORMAT = single_line_message("""
	Invalid format: %s"
""")
INVALID_MULTIPLIER = single_line_message("""
	Invalid multiplier %s" % multiplier
""")
INVALID_BOOLEAN_VALUE = single_line_message("""
	Invalid boolean value '%s'. Expected one of: 1/0/on/off/true/false/enabled/disabled
""")
FAILED_TO_FIND_DB_SERVER = single_line_message("""
	Failed to find database server with ID '{db_server_id}' in configuration file
""")
INVALID_TAG = single_line_message("""
	Invalid tag: %s. Expected: %s
""")
UNSUPPORTED_SOURCE_WEB_PATH_TYPE = single_line_message("""
	Unsupported source web path type
""")
ACTION_COPY_LOCAL_WEB_FILES = single_line_message("""
	Put web files to domain directories
""")
FAIL_TO_COPY_LOCAL_WEB_FILES = single_line_message("""
	Failed to put web files to domain directories
""")
ACTION_COPY_LOCAL_MAIL_FILES = single_line_message("""
	Put mail messages to domain directories
""")
FAIL_TO_COPY_LOCAL_MAIL_FILES = single_line_message("""
	Failed to put mail messages to domain directories
""")
COMMAND_CREATE_DUMP_FROM_HOSTING_DESCRIPTION = single_line_message("""
	Create Plesk configuration dump out of hosting description file (YAML/JSON/XML)
""")
SOURCE_HOSTING_DESCRIPTION_FILE_OPTION = single_line_message("""
	Path to source hosting description file
""")
SOURCE_HOSTING_DESCRIPTION_FORMAT_OPTION = single_line_message("""
	Format of source hosting description file: YAML, JSON or XML (default is YAML)
""")
TARGET_DUMP_FILE_OPTION = single_line_message("""
	Path to target full Plesk configuration dump file
""")